## org.flexdock.plaf.theme
Class Theme

    java.lang.Object
      org.flexdock.plaf.theme.Theme

    public class Theme

extends java.lang.Object

Author:
  Christopher Butler

Constructor Summary
`Theme()`

Method Summary
`ButtonUI` `getButtonUI()`
`java.lang.String` `getDescription()`
`java.lang.String` `getName()`
`TitlebarUI` `getTitlebarUI()`
`ViewUI` `getViewUI()`
`void` `setButtonUI(ButtonUI buttonUI)`
`void` `setDescription(java.lang.String description)`
`void` `setName(java.lang.String name)`
`void` `setTitlebarUI(TitlebarUI titlebarUI)`
`void` `setViewUI(ViewUI viewUI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Theme

    public Theme()

Method Detail

### getButtonUI

    public ButtonUI getButtonUI()

### setButtonUI

    public void setButtonUI(ButtonUI buttonUI)

### getTitlebarUI

    public TitlebarUI getTitlebarUI()

### setTitlebarUI

    public void setTitlebarUI(TitlebarUI titlebarUI)

### getViewUI

    public ViewUI getViewUI()

### setViewUI

    public void setViewUI(ViewUI viewUI)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)